Run in Apifox
Request Body Params application/json
{
"model" : "gemini-3-pro-image-preview" ,
"stream" : false ,
"messages" : [
{
"role" : "user" ,
"content" : "draw a cat"
}
] ,
"extra_body" : {
"google" : {
"image_config" : {
"aspect_ratio" : "16:9" ,
"image_size" : "2K"
}
}
}
} Request Code Samples
curl --location 'https://moteapi.com/v1/chat/completions' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-3-pro-image-preview",
"stream": false,
"messages": [
{
"role": "user",
"content": "draw a cat"
}
],
"extra_body": {
"google": {
"image_config": {
"aspect_ratio": "16:9",
"image_size": "2K"
}
}
}
}' Responses
{
"id" : "chatcmpl-20251211160744809365000fdOhL0KY" ,
"model" : "gemini-3-pro-image-preview" ,
"object" : "chat.completion" ,
"created" : 1765440499 ,
"choices" : [
{
"index" : 0 ,
"message" : {
"role" : "assistant" ,
"content" : ""
} ,
"finish_reason" : "stop"
}
] ,
"usage" : {
"prompt_tokens" : 4 ,
"completion_tokens" : 1359 ,
"total_tokens" : 1363
}
} Modified at 2026-07-03 06:13:32